DAS-BAHN-FORUM.de

Herzlich willkommen im ersten offiziellen Forum zum Programm BAHN von JBSS

Aktuelle Zeit: Freitag 18. Juni 2021, 16:59

Alle Zeiten sind UTC + 1 Stunde




Ein neues Thema erstellen Auf das Thema antworten  [ 3 Beiträge ] 
Autor Nachricht
 Betreff des Beitrags: Kompatiblität
BeitragVerfasst: Samstag 13. Februar 2021, 14:33 
Offline

Registriert: Samstag 2. Februar 2013, 12:44
Beiträge: 45
Hallo,

welche Versionen sind miteinander kompatibel bzw was passiert wenn man versehentlich mit einer älteren Version baut?

Kann es da Probleme geben wenn man wieder mit der neuesten Version bzw Nachfolgern baut?

Geht mir drum mein Netz noch so lange wie möglich zu erhalten auch wenn sich Windows ändern sollte etc...


Nach oben
 Profil  
Mit Zitat antworten  
 Betreff des Beitrags: Re: Kompatiblität
BeitragVerfasst: Sonntag 14. Februar 2021, 07:50 
Offline

Registriert: Sonntag 16. März 2003, 15:25
Beiträge: 2130
Guten Tag,

Hp_0 hat geschrieben:
Hallo,

welche Versionen sind miteinander kompatibel..?


Die mit der selben Versionsnummer. Zum Beispiel 3.89r1, 3.89r2, 3.89r3, 3.89r4, 3.89r4a. (*1)

Außerdem sind sie in der Regel aufwärtskompatibel. D.h. ein Netz, das man mit 3.87 gespeichert hat, kann auch von 3.88 und 3.89 geöffnet werden, aber nicht umgekehrt.

Da es dennoch manchmal kleine inkompatible Probleme gibt, wird das umso schwieriger, je älter ein Netz ist. Netze aus der Zeit vor BAHN 3.84 erfordern meistens ein paar manuelle Anpassungen.

(*1): Diese unterschiedlichen "Releases" der selben Version enthalten meistens unterschiedliche Fahrzeuge, d.h. je neuer sie sind, umso mehr Fahrzeuge sind dabei. Wenn man die neuen Fahrzeuge in einem Netz verwendet und dieses dann mit einer älteren Release öffnet, erscheint ggf. eine Hinweismeldung von BAHN, daß Fahrzeuge fehlen, weil sie unbekannt sind. In aller Regel kann man das Netz trotzdem laufen lassen und bearbeiten, es sieht aber etwas seltsam aus.

(*2): All dies und noch mehr dazu steht im Dokument "netze.html", das bei jeder BAHN-Installation dabei ist (englische Version "layouts.html").

Hp_0 hat geschrieben:
...bzw was passiert wenn man versehentlich mit einer älteren Version baut?


Man kann ein neues Netz mit einer älteren Version anlegen. Wie das "versehentlich" passieren soll, weiß ich nicht.

Wenn man ein Netz einer neueren Version mit einer älteren öffnen will, dann meldet BAHN, daß es nicht geht.

Hp_0 hat geschrieben:
Kann es da Probleme geben wenn man wieder mit der neuesten Version bzw Nachfolgern baut?


Ja, siehe oben. Je größer der Unterschied zwischen den Versionen, umso höher ist die Wahrscheinlichkeit.

Hp_0 hat geschrieben:
Geht mir drum mein Netz noch so lange wie möglich zu erhalten auch wenn sich Windows ändern sollte etc...


Da gibt es immer ein Risiko, und das gilt für jede Software. Niemand weiß, ob es in Zukunft neue Versionen von Windows gibt, wann diese erscheinen und welche Eigenschaften sie haben. Niemand weiß, ob überhaupt Intel-CPU bzw. kompatible eine Zukunft haben, oder sich doch ARM oder irgendetwas anderes durchsetzt.
Niemand weiß, welche Datenträger in Zukunft genutzt werden. Einst hatten wir Disketten, später CD und DVD, heute haben viele Computer schon gar kein Laufwerk mehr dafür. USB-Sticks sind sicher nicht die letzte und endgültige Entwicklung. Kein Medium war bisher dauerfest.

Einige Dinge werden irgendwann nicht mehr ohne Hilfsmittel funktionieren, z.B. Win32-Programme. Andererseits wird es solche Hilfsmittel sicher auch in Zukunft geben, wie z.B. die DOSBox, mit der man auch heute noch viele DOS-Programme laufen lassen kann, die über 30 Jahre alt sind. Für sehr viele längst ausgestorbene Hardware/Betriebssysteme gibt es heute Emulatoren (z.B. Amiga, Atari, Sinclair...), und das wird wohl auch in Zukunft so sein.

Grüße,
Jan B.


Nach oben
 Profil  
Mit Zitat antworten  
 Betreff des Beitrags: Re: Kompatiblität
BeitragVerfasst: Sonntag 14. Februar 2021, 11:18 
Offline

Registriert: Freitag 23. Juni 2006, 12:31
Beiträge: 360
Wohnort: Berlin
Hp_0 hat geschrieben:
Kann es da Probleme geben wenn man wieder mit der neuesten Version bzw Nachfolgern baut?

Geht mir drum mein Netz noch so lange wie möglich zu erhalten auch wenn sich Windows ändern sollte etc...

Hallo,

ich würde halt immer die neueste BAHN-Version verwenden (beta-Versionen ausgenommen).

Und ansonsten gilt das Prinzip Hoffnung (zumindest bei mir).

Grüße,

Sebastian
_________________
Berlin und Umgebung im Jahr 1989

http://www.bahn1989.berlin


Nach oben
 Profil  
Mit Zitat antworten  
Beiträge der letzten Zeit anzeigen:  Sortiere nach  
Ein neues Thema erstellen Auf das Thema antworten  [ 3 Beiträge ] 

Alle Zeiten sind UTC + 1 Stunde


Wer ist online?

Mitglieder in diesem Forum: 0 Mitglieder und 3 Gäste


Sie dürfen keine neuen Themen in diesem Forum erstellen.
Sie dürfen keine Antworten zu Themen in diesem Forum erstellen.
Sie dürfen Ihre Beiträge in diesem Forum nicht ändern.
Sie dürfen Ihre Beiträge in diesem Forum nicht löschen.
Sie dürfen keine Dateianhänge in diesem Forum erstellen.

Suche nach:
Gehe zu:  

Bei allen Fragen zum Forum wenden Sie sich bitte an ronny@das-bahn-forum.de!

Unterstützen Sie das BAHN-Forum mit einer Bestellung bei Amazon.de!
Unterstützt durch phpBB
Version des BAHN-Forums: 4.5.1

Mit dem Lesen und Verfassen von Beiträgen akzeptieren Sie die Regelungen zur Nutzung des BAHN-Forums!